-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlState

Declaration :

- C++ : class UmlState : public UmlBaseState, public UmlStateItem
- Java : class UmlState extends UmlBaseState implements UmlStateItem

Artifact : UmlState

Operation UmlState

Declaration :

- C++ : public: UmlState(void * id, const QCString & s) : UmlBaseState(id, s)
- Java : public UmlState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , associatedDiagram , children , childrenVisible , cppDoActivity , cppEntryBehavior , cppExitBehavior , create , defined_ , description , doActivity , entryBehavior , exitBehavior , identifier_ , isMarked , isToolRunning , isWritable , javaDoActivity , javaEntryBehavior , javaExitBehavior , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDoActivity , set_CppEntryBehavior , set_CppExitBehavior , set_Description , set_DoActivity , set_EntryBehavior , set_ExitBehavior , set_isMarked , set_JavaDoActivity , set_JavaEntryBehavior , set_JavaExitBehavior , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload